---
title: Plugin Configuration
description: Configure the VehiclesPlus plugin.
published: true
date: 2023-07-22T13:06:00.040Z
tags: 
editor: markdown
dateCreated: 2023-07-22T09:20:23.417Z
---

# Plugin Configuration
This page explains the `config.yml` file, which contains generic configuration.
*Per setting will be explained what it means as a comment (`#`).*
```yaml
# DO NOT CHANGE
config-version: 1.0.4

# Changes the language file it uses for the messages
# For more details, check out the Language section below.
locale: en

# If true, vehicles can drive over slabs
canDriveOverSlabs: true

# If true, vehicles can drive over full blocks
canDriveOverBlocks: true

# The division made to decide the price of a reperation
# If the vehicle costs 350.000, the reperation will cost 350.000 / 100 = 3500
repairCostDivision: 100.0

# If true, vehicles can take damage at interaction of blocks / entities
vehicleDamage: true

# If true, vehicles will stop at collision
entityCollisionStop: true

# If true, the colliding vehicle will get damage at collision
entityCollisionDamageSelf: true

# If true, the colliding entity (for example player) will get damage at collision
entityCollisionDamageEntity: true

# The cost of chaning the name of a vehicle
renameCost: 1000.0

# The cost of changing the owner of a vehicle
ownerChangeCost: 1000.0

# Will not do anything at the moment
onlySpawnOnSpawnpoints: false

# If true, players will get an actionbar when controlling a vehicle (with speeds, health, etc.)
showActionBar: true

# If true, vehicles spawn in the locked state
vehiclesSpawnLocked: true
```